#!/bin/bash

#SBATCH --qos=debug
#SBATCH -A bsc32
#SBATCH --cpus-per-task=1
#SBATCH -n 4
#SBATCH -t 02:00:00
#SBATCH -J NES-test
#SBATCH --output=log_NES-tests_mn4_%j.out
#SBATCH --error=log_NES-tests_mn4_%j.err
#SBATCH --exclusive

### ulimit -s 128000

module purge
module use /gpfs/projects/bsc32/software/suselinux/11/modules/all

# TODO change module when installed
module load NES/1.0.0-mn4-foss-2019b-Python-3.7.4

cd /gpfs/projects/bsc32/models/NES_master/tests

#mpirun --mca mpi_warn_on_fork 0 -np 4 python 1.1-test_read_write_projection
#mpirun --mca mpi_warn_on_fork 0 -np 4 python 2.1-test_spatial_join.py
#mpirun --mca mpi_warn_on_fork 0 -np 4 python 2.3-test_bounds.py
mpirun --mca mpi_warn_on_fork 0 -np 4 python 2.4-test_cell_area.py
mpirun --mca mpi_warn_on_fork 0 -np 4 python 5.3-test_horiz_interp_conservative.py
